为知笔记运行错误

OOo,TeX,KO,ABI,GIMP,Picasa,ProE,QCAD,Inkscape,Kicad,Eagle
回复
头像
百草谷居士
帖子: 3767
注册时间: 2006-02-10 16:36
系统: ubuntu20.04/Win10
送出感谢: 36 次
接收感谢: 45 次
联系:

为知笔记运行错误

#1

帖子 百草谷居士 » 2018-12-07 16:46

在官网上下载的最新版2.6.6,appimage格式打包的绿色版,在ubuntu18.10下运行出现如下错误:
./WizNote-2.6.6_x86_64.AppImage: symbol lookup error: /usr/lib/x86_64-linux-gnu/libGLX_mesa.so.0: undefined symbol: xcb_dri3_get_supported_modifiers
没有官方论坛,在百度贴吧反馈无人解答,希望能在这里得到解决
Xubuntu 21.04 / 深度系统 20.2

为何热衷于搞发行版的多,搞应用程序开发的少?Linux最多余的就是各种发行版,最缺的就是应用程序,特别是行业应用程序。
头像
astolia
论坛版主
帖子: 5736
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 995 次

Re: 为知笔记运行错误

#2

帖子 astolia » 2018-12-08 18:30

应该是自带的libxcb-dri3和系统上的libGLX_mesa冲突了。

代码: 全选

LD_PRELOAD=/usr/lib/x86_64-linux-gnu/libxcb-dri3.so.0 ./WizNote-2.6.6_x86_64.AppImage
这些用户感谢了作者 astolia 于这个帖子:
百草谷居士 (2018-12-11 15:01)
评价: 3.7%
头像
百草谷居士
帖子: 3767
注册时间: 2006-02-10 16:36
系统: ubuntu20.04/Win10
送出感谢: 36 次
接收感谢: 45 次
联系:

Re: 为知笔记运行错误

#3

帖子 百草谷居士 » 2018-12-11 15:01

按照这个办法,问题解决了
Xubuntu 21.04 / 深度系统 20.2

为何热衷于搞发行版的多,搞应用程序开发的少?Linux最多余的就是各种发行版,最缺的就是应用程序,特别是行业应用程序。
Vinoctis
帖子: 1
注册时间: 2019-08-15 15:46
系统: ubuntu
送出感谢: 0
接收感谢: 0

Re: 为知笔记运行错误

#4

帖子 Vinoctis » 2019-08-15 15:52

从appimage launcher integrated run 启动后, 桌面图标点击无法进入
回复